org.deidentifier.arx.test

## Class TestClassification

- java.lang.Object
- - org.deidentifier.arx.test.TestClassification

    public class TestClassification
    extends java.lang.Object

Test for statistical classification

Author:
  Johanna Eicher

### Constructor Summary

Constructors
Constructor and Description
`TestClassification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testLogisticRegression()`
`void` `testNaiveBayes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestClassification

    public TestClassification()

### Method Detail

#### testLogisticRegression

    public void testLogisticRegression()
                                throws java.io.IOException,
                                       java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`

#### testNaiveBayes

    public void testNaiveBayes()
                        throws java.io.IOException,
                               java.text.ParseException

Throws:
  `java.io.IOException`
  `java.text.ParseException`